# pandas.Series.str.startswith

`Series.str.``startswith`(pat, na=nan)

  Test if the start of each string element matches a pattern.

  Equivalent to `str.startswith()`.

  Parameters:

  pat : str

  > Character sequence. Regular expressions are not accepted.

  na : object, default NaN

  > Object shown if element tested is not a string.

  Returns:

  Series or Index of bool

  > A Series of booleans indicating whether the given pattern matches the start of each string element.

  See also

  `str.startswith`
    Python standard library string method.
  `Series.str.endswith`
    Same as startswith, but tests the end of string.
  `Series.str.contains`
    Tests if string element contains a pattern.

  Examples

      >>> s = pd.Series(['bat', 'Bear', 'cat', np.nan])
      >>> s
      0     bat
      1    Bear
      2     cat
      3     NaN
      dtype: object

      >>> s.str.startswith('b')
      0     True
      1    False
      2    False
      3      NaN
      dtype: object

  Specifying na to be False instead of NaN.

      >>> s.str.startswith('b', na=False)
      0     True
      1    False
      2    False
      3    False
      dtype: bool

Scroll To Top